Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "1eeadeb5-fd95-4e1c-ab65-d199fedcf10f",
  "jobs_id": "d349e59c-c90c-44e0-8611-e931445a280b",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "be94d8d2-f49c-4f7f-b68d-bd15be6e760a",
    "_parent_id": "3df697f3-bf1f-4947-8f74-f8374bb15472",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "df534e51-21bd-4749-8142-73048da05f64",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "17e2fe9b-50d1-4015-9a15-8abf2545e396",
      "_parent_id": "121cc0d6-1554-47b6-b837-c30a5ec51725",
      "root_parent_id": "bd3fc7df-43b4-4c16-b568-4c8bbeb57e36",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "eb145792-cb63-4ab6-b3b1-6058a6ae940e",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "348bc6f0-8011-45d2-9162-d9a65ba933c5",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "9d5be72b-153c-4de2-924b-aab69103dc7d",
        "_parent_code": "sample string 6",
        "sales_organization_id": "233b42c8-01ee-4b49-9138-e34851338ded",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
          "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
          "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
        },
        "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
      },
      "equipment_model_id": "a46dea40-42ac-4a1f-83c1-9907e222981c",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "e252a2d5-2c14-4686-8add-5d6eff9553da",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "10d6004b-0f03-4918-bc2e-7ecb6430ff21",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "af9289ee-7708-4b0f-bf22-67af50443e3f",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "ac1699c2-37f3-4f6e-b75e-156315cbe805",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
            "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
            "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
          },
          "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
        },
        "equipment_family_id": "bcc3c6b2-ff12-42f4-a498-29f794e3b111",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "348bc6f0-8011-45d2-9162-d9a65ba933c5",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "9d5be72b-153c-4de2-924b-aab69103dc7d",
          "_parent_code": "sample string 6",
          "sales_organization_id": "233b42c8-01ee-4b49-9138-e34851338ded",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
            "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
            "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
          },
          "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
        },
        "date_in_production_since": "2026-10-14T14:12:30.6114643+00:00",
        "date_out_of_production_since": "2026-10-14T14:12:30.6114643+00:00",
        "date_end_support": "2026-10-14T14:12:30.6114643+00:00",
        "sales_organization_id": "82c579be-d6bc-4b58-a696-306aaf3ea772",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
          "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
          "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
      },
      "project_status_id": "326561c2-9ce1-4621-9050-df991e782f57",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "febde9af-decd-4aac-b12f-7b4c2f1ed538",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "063cb947-7dad-4c4c-a7e5-a7db6ddf445a",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
          "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
          "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
      },
      "company_id": "dddd37fb-6329-4feb-8afb-982a441fa751",
      "company_code": "sample string 12",
      "db_address_id": "8ab3070b-ffd4-4f20-813e-7f53f2fcdc39",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "0154e634-05f1-499b-9abf-b9f91728608b",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "acbb899a-187d-4600-a4a5-aa525c50bb16",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-14T14:12:30.6114643+00:00",
      "date_create": "2026-10-14T14:12:30.6114643+00:00",
      "date_update": "2026-10-14T14:12:30.6114643+00:00",
      "updated_by_user_id": "6584cd33-2b79-468d-9ae6-730a2627cf35",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-14T14:12:30.6114643+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-14T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-14T14:12:30.6271324+00:00",
      "date_last_job": "2026-10-14T14:12:30.6271324+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-14T14:12:30.6271324+00:00",
      "modified_dateutc": "2026-10-14T14:12:30.6271324+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "a2bc7561-ea5a-4c2c-8f51-d23f89fe20bf",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "8c4820b7-55dd-4b22-8aa0-9f9a9ad0affa",
      "name": "sample string 2",
      "sales_organization_id": "18512875-ac1d-4166-b8b2-6019873ebf1a",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-14T14:12:30.6271324+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "4cc6e1a3-f4ff-4786-be3d-45f0e5541a05",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "85725cda-ce02-49d4-ad80-d255ba3d1ab3",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "1af323dd-dfa4-495b-a508-88536c7b326a",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
        "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
        "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-14T14:12:30.6271324+00:00"
    },
    "job_status_id": "04ff80e5-35b1-45ca-9972-7f2a21a4ef9c",
    "job_status_code": "sample string 11",
    "db_address_id": "5ea12a6d-7b9d-48be-896f-fded4a6e561d",
    "contact_id": "6d671ba9-c3a6-47b3-9355-b5d00b5549d8",
    "requested_by_company_id": "b92f5613-a531-458f-8116-289ab6cf9235",
    "requested_by_contact_id": "df4e32e6-7875-4939-be16-434846971e02",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-14T14:12:30.6271324+00:00",
    "due_date": "2026-10-14T14:12:30.6271324+00:00",
    "date_create": "2026-10-14T14:12:30.6271324+00:00",
    "date_update": "2026-10-14T14:12:30.6271324+00:00",
    "date_closed": "2026-10-14T14:12:30.6271324+00:00",
    "suggested_user_id": "30f783be-6c60-454a-8286-f2deb35ba2ba",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "55d2accb-1861-4bc1-9118-82070b214289",
      "db_language_id": "7590ae8d-eb4c-4413-a6a6-b9b8b8a0d6c2",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-14T14:12:30.6271324+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "a3cd8ecb-03f3-4e61-b16a-b5b7f0b94d49",
      "sales_organization": {
        "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
        "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
        "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "c42148eb-e1a2-447f-bf4a-e6301fbbfa5a",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "e7211eba-c2e5-4ac5-aa54-a315b5289939",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-14T14:12:30.6271324+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "b8e82a1b-3dbb-42c9-aa4a-9112ea038df9"
    },
    "suggested_date_start": "2026-10-14T14:12:30.6271324+00:00",
    "skill_id": "12a46892-f29e-45b4-9312-c1910ffc1587",
    "skill_code": "sample string 32",
    "skill": {
      "id": "b6b4a317-7fd7-43f0-acc0-3b75cbfccdbf",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "a4e2c4d7-fcff-423f-b5c5-88597d544db4",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "e836821d-cd9d-4441-ae47-25571796c6d1",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "3c44d6a0-b929-4a41-9a89-47fcd2ba07c8",
        "db_currency_id": "93516be6-d92c-43ee-88e8-e0c08dc2b784",
        "db_language_id": "2ed6b560-145b-4688-9c66-68777da311d5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-14T14:12:30.6114643+00:00"
      },
      "modified_dateutc": "2026-10-14T14:12:30.6271324+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "7f602b71-757a-417b-a4f2-b45dbd8c3c90",
    "date_reported_by_company": "2026-10-14T14:12:30.6271324+00:00",
    "id2": 36,
    "company_id": "382c5aea-379a-4c1a-a209-d65282b16edb",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "e3180153-57a6-4b8e-adfb-7a114edf05e8",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-14T14:12:30.6271324+00:00"
  },
  "work_instruction_details_id": "439d310f-57ec-4529-96b1-55eb761e6471",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "2467b6cd-f4ce-44dc-a740-f815cd916650",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "43e6fc22-c153-45a1-bb63-a797dafccf96",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-14T14:12:30.6271324+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "daec302b-3631-413b-9bd6-82aa5e4f31e9",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-14T14:12:30.6271324+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.